# Method: providers.accounts.list

- [HTTP request](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/list#body.request_body)
- [Response body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/list#body.ListAccountsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/list#body.aspect)

Lists `https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts#Account`s that the provider has access to.

### HTTP request

`GET https://cloudcommerceprocurement.googleapis.com/v1/{parent=providers/*}/accounts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `commerceprocurement.providerAccounts.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of entries that are requested. The default page size is 25 and the maximum page size is 200. |
| `pageToken` | `string` The token for fetching the next page. |

### Request body

The request body must be empty.

### Response body

Response message for \[PartnerProcurementService.ListAccounts\[\].

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accounts": [ { object (`https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts#Account`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accounts[]` | ``object (`https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts#Account`)`` The list of accounts in this response. |
| `nextPageToken` | `string` The token for fetching the next page. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).